import request from '@/utils/request'

// 查询AI适配场景条件列表
export function listAiSceneCondition(query) {
  return request({
    url: '/sfa/aiSceneCondition/list',
    method: 'get',
    params: query
  })
}

// 查询AI适配场景条件详细
export function getAiSceneCondition(conditionId) {
  return request({
    url: '/sfa/aiSceneCondition/' + conditionId,
    method: 'get'
  })
}

// 新增AI适配场景条件
export function addAiSceneCondition(data) {
  return request({
    url: '/sfa/aiSceneCondition',
    method: 'post',
    data: data
  })
}

// 修改AI适配场景条件
export function updateAiSceneCondition(data) {
  return request({
    url: '/sfa/aiSceneCondition',
    method: 'put',
    data: data
  })
}

// 删除AI适配场景条件
export function delAiSceneCondition(conditionId) {
  return request({
    url: '/sfa/aiSceneCondition/' + conditionId,
    method: 'delete'
  })
}
